Bug 250917 - ntp rpm requires explicit readline version?
Summary: ntp rpm requires explicit readline version?
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-05 07:57 UTC by Peter Bieringer
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 4.2.4p2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 17:30:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Bieringer 2007-08-05 07:57:51 UTC
Description of problem:
During an inline upgrade from FC6 to F7 after upgrading ntp and missing upgrade
of readline I found that "ntpq -c pee" is not working.

Version-Release number of selected component (if applicable):
ntp-4.2.4p2-1.fc7

How reproducible:
During inline upgrade.

Steps to Reproduce:
1. install FC6
2. upgrade ntp
3. execute "ntpq -c pee"
  
Actual results:
Not working, claims about a missing symbol in libreadline

Expected results:
Working

Comment 1 Miroslav Lichvar 2007-08-06 13:03:40 UTC
It's a termcap symbol. LD_PRELOAD=/usr/lib/libncurses.so.5 ntpq should work.

FC6 libreadline isn't linked with a termcap library, so every FC6 readline
binary is linked with libncurses or libtermcap. libtermcap is deprecated since
F-7 and readline is linked with libtinfo.

It's possible to add to ntp requires for first readline package that is linked
with libtinfo. There are many other packages with similar problem though.

Comment 2 Fedora Update System 2007-08-13 17:04:05 UTC
ntp-4.2.4p2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-08-24 05:31:40 UTC
ntp-4.2.4p2-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-08-29 17:30:11 UTC
ntp-4.2.4p2-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.